Package org.apache.calcite.avatica.proto

## Class Common.ConnectionProperties.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>
      - - org.apache.calcite.avatica.proto.Common.ConnectionProperties.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Common.ConnectionPropertiesOrBuilder`

Enclosing class:
  Common.ConnectionProperties

    public static final class Common.ConnectionProperties.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>
    implements Common.ConnectionPropertiesOrBuilder

     Details about a connection

Protobuf type `ConnectionProperties`

### Field Summary

Fields
`private boolean` `autoCommit_`
`private java.lang.Object` `catalog_`
`private boolean` `hasAutoCommit_`
`private boolean` `hasReadOnly_`
`private boolean` `isDirty_`
`private boolean` `readOnly_`
`private java.lang.Object` `schema_`
`private int` `transactionIsolation_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.ConnectionProperties.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.ConnectionProperties` `build()`
`Common.ConnectionProperties` `buildPartial()`
`Common.ConnectionProperties.Builder` `clear()`
`Common.ConnectionProperties.Builder` `clearAutoCommit()` `bool auto_commit = 2;`
`Common.ConnectionProperties.Builder` `clearCatalog()` `string catalog = 5;`
`Common.ConnectionProperties.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.ConnectionProperties.Builder` `clearHasAutoCommit()` field is a Boolean, need to discern null and default value
`Common.ConnectionProperties.Builder` `clearHasReadOnly()` field is a Boolean, need to discern null and default value
`Common.ConnectionProperties.Builder` `clearIsDirty()` `bool is_dirty = 1;`
`Common.ConnectionProperties.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.ConnectionProperties.Builder` `clearReadOnly()` `bool read_only = 3;`
`Common.ConnectionProperties.Builder` `clearSchema()` `string schema = 6;`
`Common.ConnectionProperties.Builder` `clearTransactionIsolation()` `uint32 transaction_isolation = 4;`
`Common.ConnectionProperties.Builder` `clone()`
`boolean` `getAutoCommit()` `bool auto_commit = 2;`
`java.lang.String` `getCatalog()` `string catalog = 5;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `string catalog = 5;`
`Common.ConnectionProperties` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getHasAutoCommit()` field is a Boolean, need to discern null and default value
`boolean` `getHasReadOnly()` field is a Boolean, need to discern null and default value
`boolean` `getIsDirty()` `bool is_dirty = 1;`
`boolean` `getReadOnly()` `bool read_only = 3;`
`java.lang.String` `getSchema()` `string schema = 6;`
`com.google.protobuf.ByteString` `getSchemaBytes()` `string schema = 6;`
`int` `getTransactionIsolation()` `uint32 transaction_isolation = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.ConnectionProperties.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.ConnectionProperties.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Common.ConnectionProperties.Builder` `mergeFrom​(Common.ConnectionProperties other)`
`Common.ConnectionProperties.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.ConnectionProperties.Builder` `setAutoCommit​(boolean value)` `bool auto_commit = 2;`
`Common.ConnectionProperties.Builder` `setCatalog​(java.lang.String value)` `string catalog = 5;`
`Common.ConnectionProperties.Builder` `setCatalogBytes​(com.google.protobuf.ByteString value)` `string catalog = 5;`
`Common.ConnectionProperties.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.ConnectionProperties.Builder` `setHasAutoCommit​(boolean value)` field is a Boolean, need to discern null and default value
`Common.ConnectionProperties.Builder` `setHasReadOnly​(boolean value)` field is a Boolean, need to discern null and default value
`Common.ConnectionProperties.Builder` `setIsDirty​(boolean value)` `bool is_dirty = 1;`
`Common.ConnectionProperties.Builder` `setReadOnly​(boolean value)` `bool read_only = 3;`
`Common.ConnectionProperties.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Common.ConnectionProperties.Builder` `setSchema​(java.lang.String value)` `string schema = 6;`
`Common.ConnectionProperties.Builder` `setSchemaBytes​(com.google.protobuf.ByteString value)` `string schema = 6;`
`Common.ConnectionProperties.Builder` `setTransactionIsolation​(int value)` `uint32 transaction_isolation = 4;`
`Common.ConnectionProperties.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### isDirty_

    private boolean isDirty_

#### autoCommit_

    private boolean autoCommit_

#### hasAutoCommit_

    private boolean hasAutoCommit_

#### readOnly_

    private boolean readOnly_

#### hasReadOnly_

    private boolean hasReadOnly_

#### transactionIsolation_

    private int transactionIsolation_

#### catalog_

    private java.lang.Object catalog_

#### schema_

    private java.lang.Object schema_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.ConnectionProperties.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### getDefaultInstanceForType

    public Common.ConnectionProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.ConnectionProperties build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.ConnectionProperties buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.ConnectionProperties.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### setField

    public Common.ConnectionProperties.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### clearField

    public Common.ConnectionProperties.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### clearOneof

    public Common.ConnectionProperties.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### setRepeatedField

    public Common.ConnectionProperties.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### addRepeatedField

    public Common.ConnectionProperties.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### mergeFrom

    public Common.ConnectionProperties.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ConnectionProperties.Builder>`

#### mergeFrom

    public Common.ConnectionProperties.Builder mergeFrom​(Common.ConnectionProperties other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### mergeFrom

    public Common.ConnectionProperties.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ConnectionProperties.Builder>`
Throws:
  `java.io.IOException`

#### getIsDirty

    public boolean getIsDirty()

`bool is_dirty = 1;`

Specified by:
  `getIsDirty` in interface `Common.ConnectionPropertiesOrBuilder`

#### setIsDirty

    public Common.ConnectionProperties.Builder setIsDirty​(boolean value)

`bool is_dirty = 1;`

#### clearIsDirty

    public Common.ConnectionProperties.Builder clearIsDirty()

`bool is_dirty = 1;`

#### getAutoCommit

    public boolean getAutoCommit()

`bool auto_commit = 2;`

Specified by:
  `getAutoCommit` in interface `Common.ConnectionPropertiesOrBuilder`

#### setAutoCommit

    public Common.ConnectionProperties.Builder setAutoCommit​(boolean value)

`bool auto_commit = 2;`

#### clearAutoCommit

    public Common.ConnectionProperties.Builder clearAutoCommit()

`bool auto_commit = 2;`

#### getHasAutoCommit

    public boolean getHasAutoCommit()

     field is a Boolean, need to discern null and default value

`bool has_auto_commit = 7;`

Specified by:
  `getHasAutoCommit` in interface `Common.ConnectionPropertiesOrBuilder`

#### setHasAutoCommit

    public Common.ConnectionProperties.Builder setHasAutoCommit​(boolean value)

     field is a Boolean, need to discern null and default value

`bool has_auto_commit = 7;`

#### clearHasAutoCommit

    public Common.ConnectionProperties.Builder clearHasAutoCommit()

     field is a Boolean, need to discern null and default value

`bool has_auto_commit = 7;`

#### getReadOnly

    public boolean getReadOnly()

`bool read_only = 3;`

Specified by:
  `getReadOnly` in interface `Common.ConnectionPropertiesOrBuilder`

#### setReadOnly

    public Common.ConnectionProperties.Builder setReadOnly​(boolean value)

`bool read_only = 3;`

#### clearReadOnly

    public Common.ConnectionProperties.Builder clearReadOnly()

`bool read_only = 3;`

#### getHasReadOnly

    public boolean getHasReadOnly()

     field is a Boolean, need to discern null and default value

`bool has_read_only = 8;`

Specified by:
  `getHasReadOnly` in interface `Common.ConnectionPropertiesOrBuilder`

#### setHasReadOnly

    public Common.ConnectionProperties.Builder setHasReadOnly​(boolean value)

     field is a Boolean, need to discern null and default value

`bool has_read_only = 8;`

#### clearHasReadOnly

    public Common.ConnectionProperties.Builder clearHasReadOnly()

     field is a Boolean, need to discern null and default value

`bool has_read_only = 8;`

#### getTransactionIsolation

    public int getTransactionIsolation()

`uint32 transaction_isolation = 4;`

Specified by:
  `getTransactionIsolation` in interface `Common.ConnectionPropertiesOrBuilder`

#### setTransactionIsolation

    public Common.ConnectionProperties.Builder setTransactionIsolation​(int value)

`uint32 transaction_isolation = 4;`

#### clearTransactionIsolation

    public Common.ConnectionProperties.Builder clearTransactionIsolation()

`uint32 transaction_isolation = 4;`

#### getCatalog

    public java.lang.String getCatalog()

`string catalog = 5;`

Specified by:
  `getCatalog` in interface `Common.ConnectionPropertiesOrBuilder`

#### getCatalogBytes

    public com.google.protobuf.ByteString getCatalogBytes()

`string catalog = 5;`

Specified by:
  `getCatalogBytes` in interface `Common.ConnectionPropertiesOrBuilder`

#### setCatalog

    public Common.ConnectionProperties.Builder setCatalog​(java.lang.String value)

`string catalog = 5;`

#### clearCatalog

    public Common.ConnectionProperties.Builder clearCatalog()

`string catalog = 5;`

#### setCatalogBytes

    public Common.ConnectionProperties.Builder setCatalogBytes​(com.google.protobuf.ByteString value)

`string catalog = 5;`

#### getSchema

    public java.lang.String getSchema()

`string schema = 6;`

Specified by:
  `getSchema` in interface `Common.ConnectionPropertiesOrBuilder`

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

`string schema = 6;`

Specified by:
  `getSchemaBytes` in interface `Common.ConnectionPropertiesOrBuilder`

#### setSchema

    public Common.ConnectionProperties.Builder setSchema​(java.lang.String value)

`string schema = 6;`

#### clearSchema

    public Common.ConnectionProperties.Builder clearSchema()

`string schema = 6;`

#### setSchemaBytes

    public Common.ConnectionProperties.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

`string schema = 6;`

#### setUnknownFields

    public final Common.ConnectionProperties.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`

#### mergeUnknownFields

    public final Common.ConnectionProperties.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ConnectionProperties.Builder>`